﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RunTimeLocalization
{
    public partial class LocalizeProperties : Form
    {
        public string Language { get; set; }
        public Dictionary<string, object> EnglishDiction { get; set; }
        public Dictionary<string, object> LocaleDiction { get; set; }
        public LocalizeProperties()
        {
            InitializeComponent();
            this.btnSave.Click += (s, ea) =>
                {
                    LocaleDiction = new Dictionary<string, object>();
                    for (int i = 0; i < EnglishDiction.Count; i++)
                    {
                        
                        LocaleDiction.Add(EnglishDiction.Keys.ToArray()[i], dgridviewLocalize.Rows[i].Cells[1].Value);
                    }
                    this.Language = txtLanguage.Text;
                    this.DialogResult = DialogResult.OK;
                    this.Close();
                };
        }

        private void LocalizeProperties_Load(object sender, EventArgs e)
        {
            dgridviewLocalize.Columns.Add("English", "English Text");
            dgridviewLocalize.Columns.Add("Local", "Locale Text");
            for (int i = 0; i < EnglishDiction.Count; i++)
            {
                //LocaleDiction.Add(EnglishDiction.Keys.ToArray()[i], dgridviewLocalize.Rows[i].Cells[2].Value);
                dgridviewLocalize.Rows.Add(EnglishDiction.Values.ToArray()[i], "");
            }
        }
    }
}
